#!/bin/sh

mkdir -p ./out

sa='./standalone'
cf='campaign_short.txt'
tv='test_vec'

ascii='-a --strip-trailing-cr'

# Running IVS...
$sa -m ivs    -t ivs -c $tv/$cf -i $tv/pcm  -o out/pcm
$sa -m ivsrx  -t ivs -c $tv/$cf -i $tv/pcm  -o out/port
$sa -m ivstx  -t ivs -c $tv/$cf -i $tv/port -o out/pcmtx
echo

# Running PSAP...
$sa -m psap   -t ivs -c $tv/$cf -i $tv/pcm  -o out/pcm
$sa -m psaprx -t ivs -c $tv/$cf -i $tv/pcm  -o out/port
$sa -m psaptx -t ivs -c $tv/$cf -i $tv/port -o out/pcmtx
echo

x=1
while [ $x -le 26 ]
do
  echo CASE $x:

  echo Checking PCM data IVS...
  diff -s $tv/pcmulin$x.pcm out/pcmulin$x.out
  diff -s $tv/pcmulin$x.pcm out/pcmtxulin$x.out

  echo Checking PCM data PSAP...
  diff -s $tv/pcmdlin$x.pcm out/pcmdlin$x.out
  diff -s $tv/pcmdlin$x.pcm out/pcmtxdlin$x.out

  x=`expr $x + 1`
  echo
done

x=1
while [ $x -le 26 ]
do
  echo CASE $x:

  echo Checking PORT data IVS...
  diff -s $ascii $tv/portivsrx$x.txt out/portivsrx$x.txt

  echo Checking PORT data PSAP...
  diff -s $ascii $tv/portpsaprx$x.txt out/portpsaprx$x.txt

  x=`expr $x + 1`
  echo
done
